LibreOffice LibreOffice 25.8 SDK API Reference

Public Member Functions | List of all members
XBatchExecution Interface Referencepublished

is used for collecting and executing a set of SQL statements. More...

`import"XBatchExecution.idl";`

Inheritance diagram for XBatchExecution:

## Public Member Functions
void | addBatch ([in]string sql) raises (SQLException)
| adds a SQL command to the current batch of commands for the statement object. More...
void | clearBatch () raises (SQLException)
| makes the set of commands in the current batch empty. More...
sequence< long > | executeBatch () raises (SQLException)
| submits a batch of commands to the database for execution. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

is used for collecting and executing a set of SQL statements.

## Member Function Documentation

## ◆ addBatch()

void addBatch | ( | [in] string | sql | ) |
raises | ( | SQLException
| ) |  |

adds a SQL command to the current batch of commands for the statement object.

Parameters

  sql | the SQL statement which should be appended to the batch.

Exceptions

  SQLException | if a database access error occurs.

## ◆ clearBatch()

void clearBatch | ( |  | ) |
raises | ( | SQLException
| ) |  |

makes the set of commands in the current batch empty.

Exceptions

  SQLException | if a database access error occurs.

## ◆ executeBatch()

sequence< long > executeBatch | ( |  | ) |
raises | ( | SQLException
| ) |  |

submits a batch of commands to the database for execution.

Returns
  an array of update counts containing one element for each command in the batch. The array is ordered according to the order in which commands were inserted into the batch.

Exceptions

  SQLException | if a database access error occurs.

The documentation for this interface was generated from the following file:

- com/sun/star/sdbc/XBatchExecution.idl